## kf5-messagelib 23.08.0

=== debian/changelog ===
kf5-messagelib (4:23.08.0-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.0)

 -- Rik Mills <rikmills@kde.org>  Thu, 24 Aug 2023 13:01:56 +0100

kf5-messagelib (4:23.07.90-0ubuntu1) mantic; urgency=medium

  * New upstream (beta) release (23.07.80)
  * New upstream (RC) release (23.07.90)

 -- Rik Mills <rikmills@kde.org>  Tue, 15 Aug 2023 02:41:20 +0100

kf5-messagelib (4:23.04.3-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 06 Jul 2023 14:57:49 +0100

kf5-messagelib (4:23.04.2-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.04.1)
  * Add libkf5textaddons-dev to Build-Depends
  * Rename library packages:
    - libkf5messagecomposer5abi2 -> libkpim5messagecomposer5
    - libkf5messagecore5abi2 -> libkpim5messagecore5
    - libkf5messagelist5abi1 -> libkpim5messagelist5
    - libkf5messageviewer5abi5 -> libkpim5messageviewer5
    - libkf5mimetreeparser5abi3 -> libkpim5mimetreeparser5
    - libkf5templateparser5abi2 -> libkpim5templateparser5
    - libkf5webengineviewer5abi3 -> libkpim5webengineviewer5
  * Update installed files
  * Drop enable_debianabimanager.diff
  * Sync debian/rules with debian, provide virtual ABI package
  * Inject dependency on libkf5messageviewer-plugins for packages that
    also depend on libkf5messageviewer5
  * Remove symbols files, no longer used
  * New upstream release (23.04.2)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Mon, 12 Jun 2023 13:01:20 +0100

kf5-messagelib (4:22.12.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 02 Mar 2023 00:46:11 +0000

kf5-messagelib (4:22.12.2-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.2)

 -- Simon Quigley <tsimonq2@kubuntu.org>  Sat, 11 Feb 2023 14:29:57 -0600

kf5-messagelib (4:22.12.1-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.1)

 -- Rik Mills <rikmills@kde.org>  Mon, 09 Jan 2023 17:27:51 +0000

kf5-messagelib (4:22.12.0-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.12.0)

 -- Rik Mills <rikmills@kde.org>  Fri, 09 Dec 2022 19:18:04 +0000

kf5-messagelib (4:22.11.90-0ubuntu1) lunar; urgency=medium

  * New upstream (RC) release (22.11.90)

 -- Rik Mills <rikmills@kde.org>  Fri, 25 Nov 2022 16:14:14 +0000

kf5-messagelib (4:22.11.80-0ubuntu1) lunar; urgency=medium

  * New upstream (beta) release (22.11.80)
  * Update symbols.

 -- Rik Mills <rikmills@kde.org>  Thu, 17 Nov 2022 10:41:15 +0000

kf5-messagelib (4:22.08.3-0ubuntu1) lunar; urgency=medium

  * New upstream release (22.08.2)
  * New upstream release (22.08.3)

 -- Rik Mills <rikmills@kde.org>  Mon, 07 Nov 2022 11:16:57 +0000

=== debian/control ===
Source: kf5-messagelib
Section: libs
Priority: optional
Maintainer: Kubuntu Developers <kubuntu-devel@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian/Kubuntu Qt/KDE Maintainers <debian-qt-kde@lists.debian.org>
Uploaders: Maximiliano Curia <maxy@debian.org>
Build-Depends: cmake (>= 2.8.12~),
               debhelper (>= 11),
               extra-cmake-modules (>= 5.31.0~),
               git,
               libgpgme-dev,
               libgpgmepp-dev (>= 1.7.1~),
               libgrantlee5-dev (>= 5.0~),
               libkf5akonadi-dev (>= 4:23.08.0~),
               libkf5akonadimime-dev (>= 4:23.08.0~),
               libkf5akonadinotes-dev (>= 4:23.08.0~),
               libkf5akonadisearch-dev (>= 4:23.08.0~),
               libkf5archive-dev (>= 5.31.0~),
               libkf5codecs-dev (>= 5.31.0~),
               libkf5completion-dev (>= 5.31.0~),
               libkf5config-dev (>= 5.31.0~),
               libkf5contacteditor-dev (>= 4:23.08.0~),
               libkf5contacts-dev (>= 4:19.08.3~),
               libkf5grantleetheme-dev (>= 23.08.0~),
               libkf5gravatar-dev (>= 4:23.08.0~),
               libkf5i18n-dev (>= 5.31.0~),
               libkf5iconthemes-dev (>= 5.31.0~),
               libkf5identitymanagement-dev (>= 23.08.0~),
               libkf5itemviews-dev (>= 5.31.0~),
               libkf5ldap-dev (>= 23.08.0~),
               libkf5libkdepim-dev (>= 4:23.08.0~),
               libkf5libkleo-dev (>= 4:23.08.0~),
               libkf5mailtransport-dev (>= 23.08.0~),
               libkf5mbox-dev (>= 23.08.0~),
               libkf5mime-dev (>= 23.08.0~),
               libkf5newstuff-dev (>= 5.31.0~),
               libkf5pimcommon-dev (>= 4:23.08.0~),
               libkf5pimtextedit-dev (>= 23.08.0~),
               libkf5syntaxhighlighting-dev (>= 5.31.0~),
               libkf5textaddons-dev,
               libkf5webkit-dev (>= 5.31.0~),
               libkf5windowsystem-dev (>= 5.31.0~),
               libkf5xmlgui-dev (>= 5.31.0~),
               libqca-qt5-2-dev,
               libqt5webchannel5-dev (>= 5.6.1~),
               libqt5webenginewidgets5,
               libqt5webkit5-dev (>= 5.4.0~),
               pkg-kde-tools (>= 0.12),
               qtbase5-dev (>= 5.6.1~),
               qtbase5-private-dev (>= 5.6.1~),
               qtpositioning5-dev (>= 5.6.1~),
               qttools5-dev (>= 5.6.1~),
               qtwebengine5-dev (>= 5.6.1~),
Standards-Version: 3.9.8
Homepage: http://pim.kde.org/
Vcs-Browser: https://code.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib
Vcs-Git: https://git.launchpad.net/~kubuntu-packagers/kubuntu-packaging/+git/messagelib

Package: kf5-messagelib-data
Architecture: all
Multi-Arch: foreign
Depends: ${misc:Depends}
Breaks: libkf5messageviewer5 (<< 4:16.04.1), ${kde-l10n:all}
Replaces: libkf5messageviewer5 (<< 4:16.04.1), ${kde-l10n:all}
Description: KDE PIM messaging library, data files
 This package contains the data files shipped with the message libraries.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecomposer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkf5akonadi-dev (>= 4:23.08.0~),
         libkf5akonadimime-dev (>= 4:23.08.0~),
         libkf5identitymanagement-dev (>= 23.08.0~),
         libkf5libkdepim-dev (>= 4:23.08.0~),
         libkf5libkleo-dev (>= 4:23.08.0~),
         libkf5mime-dev (>= 23.08.0~),
         libkf5pimcommon-dev (>= 4:23.08.0~),
         libkpim5messagecomposer5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, composer devel files
 This package contains the development files for the message composer library.
 Which provides basic e-mail message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkpim5messagecomposer5
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: KDE PIM messaging library, composer library
 This package contains the message composer library. It provides basic e-mail
 message composing facilities.
 .
 This package is part of KDE PIM module.

Package: libkf5messagecore-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim5messagecore5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, core devel files
 This package contains the development files for the message core library.
 Which provides basic e-mail message handling facilities.
 .
 This package is part of KDE PIM module.

Package: libkpim5messagecore5
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: KDE PIM messaging library, core library
 This package contains the message core library. It provides basic e-mail
 message handling facilities.
 .
 This package is part the KDE PIM module.

Package: libkf5messagelist-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim5messagelist5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message list devel files
 This package contains the development files for the message list library.
 Which provides a widget for the e-mail message lists with extensive filtering,
 grouping and useful features.
 .
 This package is part of KDE PIM module.

Package: libkpim5messagelist5
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libmessagelist5
Replaces: libmessagelist5
Provides: ${ABI:VirtualPackage},
Description: KDE PIM messaging library, message list library
 This package contains the message list library. It provides a widget for the
 e-mail message lists with extensive filtering, grouping and useful features.
 .
 This package is part of the KDE PIM module.

Package: libkf5messageviewer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libgrantlee5-dev,
         libkpim5messageviewer5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, message viewer devel files
 This package contains the development files for the message viewer library.
 Which provides the implementation of a feature-rich and highly configurable
 widget for viewing e-mail messages.
 .
 This package is part of KDE PIM module.

Package: libkf5messageviewer-plugins
Architecture: any
Multi-Arch: same
Depends: ${misc:Depends}, ${shlibs:Depends}
Breaks: kdepim-addons (<< 16.12.0~)
Replaces: kdepim-addons (<< 16.12.0~)
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libkpim5messageviewer5
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Breaks: libmessageviewer5abi1, libmessageviewer5abi2
Replaces: libmessageviewer5abi1, libmessageviewer5abi2
Provides: ${ABI:VirtualPackage},
Description: KDE PIM messaging library, message viewer library
 This package contains the message viewer library which implements feature-rich
 and highly configurable widget for viewing e-mail messages.
 .
 This package is part of the KDE PIM module.

Package: libkf5mimetreeparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim5mimetreeparser5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM Mime Tree parser library devel files
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.

Package: libkpim5mimetreeparser5
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: KDE PIM Mime Tree parser library
 This library implements a parser for the mime tree used by KMail.
 .
 This package is part of the KDE PIM module.

Package: libkf5templateparser-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim5templateparser5 (= ${binary:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE PIM messaging library, template parser devel files
 This package contains the development files for the template parser library.
 Which provides the implementation of a parser for the mail templates which
 KMail uses to enable customization of initial structure for the new, reply or
 forwarded messages.
 .
 This package is part of KDE PIM module.

Package: libkpim5templateparser5
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: KMail template parser library
 This library implements a parser for the mail templates which KMail uses to
 enable customization of initial structure for the new, reply or forwarded
 messages.
 .
 This package is part of the KDE PIM module.

Package: libkf5webengineviewer-dev
Section: libdevel
Architecture: any
Multi-Arch: same
Depends: libkpim5webengineviewer5 (= ${binary:Version}),
         qtwebengine5-dev,
         ${misc:Depends},
         ${shlibs:Depends},
Description: KDE's Qt Web Engine Viewer devel files
 This library implements view on Qt Web Engine used by KDE PIM.
 .
 This package is part of the KDE PIM module.

Package: libkpim5webengineviewer5
Architecture: any
Multi-Arch: same
Depends: kf5-messagelib-data (= ${source:Version}),
         ${misc:Depends},
         ${shlibs:Depends},
Provides: ${ABI:VirtualPackage},
Description: WebEngineViewer library
 This library implements a WebEngineViewer.
 .
 This package is part of the KDE PIM module.

## kf5-messagelib 23.08.1

=== CMakeLists.txt ===
# SPDX-License-Identifier: CC0-1.0
# SPDX-FileCopyrightText: none
cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
set(PIM_VERSION "5.24.1")


project(Messagelib VERSION ${PIM_VERSION})

option(KDEPIM_ENTERPRISE_BUILD "Enable features specific to the enterprise branch, which are normally disabled. Also, it disables many components not needed for Kontact such as the Kolab client." FALSE)

option(MESSAGEVIEWER_EXPERIMENTAL_CONVERSATIONVIEW "Experimental conversationview (in progress)" FALSE)

set(KF_MIN_VERSION "5.105.0")


set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})
set(AKONADIMIME_LIB_VERSION "5.24.1")

set(QT_REQUIRED_VERSION "5.15.2")
set(AKONADICONTACT_LIB_VERSION "5.24.1")
set(AKONADI_VERSION "5.24.1")
set(GRANTLEETHEME_LIB_VERSION "5.24.1")
set(GRAVATAR_LIB_VERSION "5.24.1")
set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.1")
set(KMAILTRANSPORT_LIB_VERSION "5.24.1")
set(KMBOX_LIB_VERSION "5.24.1")
set(KMIME_LIB_VERSION "5.24.1")
set(KPIMTEXTEDIT_LIB_VERSION "5.24.1")
set(LIBKDEPIM_LIB_VERSION "5.24.1")
set(LIBKLEO_LIB_VERSION "5.24.1")
set(PIMCOMMON_LIB_VERSION "5.24.1")
set(GPGME_REQUIRED_VERSION "1.16.0")
set(AKONADI_SEARCH_VERSION "5.24.1")

set(ECM_VERSION ${KF_MIN_VERSION})

find_package(ECM ${ECM_VERSION} CONFIG REQUIRED)
set(CMAKE_MODULE_PATH ${Messagelib_SOURCE_DIR}/cmake/modules ${ECM_MODULE_PATH})

include(KDEInstallDirs)
include(KDECMakeSettings)
include(KDECompilerSettings NO_POLICY_SCOPE)

include(GenerateExportHeader)
include(ECMSetupVersion)
include(ECMGenerateHeaders)
include(ECMGeneratePriFile)

include(FeatureSummary)
include(KDEGitCommitHooks)
include(KDEClangFormat)
file(GLOB_RECURSE ALL_CLANG_FORMAT_SOURCE_FILES *.cpp *.h *.c)
kde_clang_format(${ALL_CLANG_FORMAT_SOURCE_FILES})

include(ECMQtDeclareLoggingCategory)
include(ECMDeprecationSettings)
include(ECMAddTests)
include(ECMAddQch)
if (QT_MAJOR_VERSION STREQUAL "6")
    set(QT_REQUIRED_VERSION "6.4.0")
    set(KF_MIN_VERSION "5.240.0")
    set(KF_MAJOR_VERSION "6")
    set(KTEXTADDONS_MIN_VERSION "1.1.0")
else()
    set(KF_MAJOR_VERSION "5")
    set(KTEXTADDONS_MIN_VERSION "1.0.0")
endif()


option(BUILD_QCH "Build API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)" OFF)
add_feature_info(QCH ${BUILD_QCH} "API documentation in QCH format (for e.g. Qt Assistant, Qt Creator & KDevelop)")

find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Gui Test)
find_package(Qt${QT_MAJOR_VERSION} ${QT_REQUIRED_VERSION} CONFIG REQUIRED Widgets Network PrintSupport WebEngineWidgets)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KF${KF_MAJOR_VERSION}CoreAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Codecs ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}I18n ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}NewStuff ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(Gpgmepp ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(QGpgmeQt6 ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
else()
    find_package(QGpgme ${GPGME_REQUIRED_VERSION} CONFIG REQUIRED)
endif()
find_package(KF${KF_MAJOR_VERSION}Archive ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Completion ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Config ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Contacts ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}IconThemes ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}ItemViews ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}JobWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}KIO ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Service ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Sonnet ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}TextWidgets ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}WidgetsAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}XmlGui ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}SyntaxHighlighting ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}DBusAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}GuiAddons ${KF_MIN_VERSION} CONFIG REQUIRED)
find_package(KF${KF_MAJOR_VERSION}Notifications ${KF_MIN_VERSION} CONFIG REQUIRED)

if (QT_MAJOR_VERSION STREQUAL "5")
    find_package(Grantlee5 "5.3" CONFIG REQUIRED)
    set(TEMPLATES_LIB Grantlee5::Templates)
else()
    find_package(KF6TextTemplate CONFIG REQUIRED)
    set(TEMPLATES_LIB KF6::TextTemplate)
endif()

if (QT_MAJOR_VERSION STREQUAL "6")
    find_package(Qt6Core5Compat)
endif()

find_package(KPim${KF_MAJOR_VERSION}Akonadi ${AKONADI_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}AkonadiMime ${AKONADIMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}ContactEditor ${AKONADICONTACT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}GrantleeTheme ${GRANTLEETHEME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Gravatar ${GRAVATAR_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}IdentityManagement ${IDENTITYMANAGEMENT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Libkleo ${LIBKLEO_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}MailTransport ${KMAILTRANSPORT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Mbox ${KMBOX_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Mime ${KMIME_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}PimCommonAkonadi ${PIMCOMMON_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}TextEdit ${KPIMTEXTEDIT_LIB_VERSION} CONFIG REQUIRED)
find_package(KPim${KF_MAJOR_VERSION}Libkdepim ${LIBKDEPIM_LIB_VERSION} CONFIG REQUIRED)

find_package(KF${KF_MAJOR_VERSION}TextEditTextToSpeech ${KTEXTADDONS_MIN_VERSION} CONFIG)
if (TARGET KF${KF_MAJOR_VERSION}::TextEditTextToSpeech)
    add_definitions(-DHAVE_KTEXTADDONS_TEXT_TO_SPEECH_SUPPORT)
endif()

find_package(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets ${KTEXTADDONS_MIN_VERSION} CONFIG)
set_package_properties(KF${KF_MAJOR_VERSION}TextAutoCorrectionWidgets PROPERTIES DESCRIPTION
    "Add support for text auto correction"
    TYPE OPTIONAL
)
if (TARGET KF${KF_MAJOR_VERSION}::TextAutoCorrectionWidgets)
    set(HAVE_TEXT_AUTOCORRECTION_WIDGETS TRUE)
else()
    find_package(KF${KF_MAJOR_VERSION}TextAutoCorrection ${KTEXTADDONS_MIN_VERSION} CONFIG REQUIRED)
endif()

find_package(KPim${KF_MAJOR_VERSION}AkonadiSearch ${AKONADI_SEARCH_VERSION} CONFIG REQUIRED)
set_package_properties(KPim${KF_MAJOR_VERSION}AkonadiSearch PROPERTIES DESCRIPTION "The Akonadi Search libraries" URL "https://invent.kde.org/pim/akonadi-search" TYPE REQUIRED PURPOSE "Provides search capabilities in KMail and Akonadi")

ecm_set_disabled_deprecation_versions(QT 6.4  KF 5.105.0)

if(BUILD_TESTING)
    add_definitions(-DBUILD_TESTING)
endif()

option(USE_UNITY_CMAKE_SUPPORT "Use UNITY cmake support (speedup compile time)" OFF)

set(COMPILE_WITH_UNITY_CMAKE_SUPPORT OFF)
if (USE_UNITY_CMAKE_SUPPORT)
    set(COMPILE_WITH_UNITY_CMAKE_SUPPORT ON)
    add_definitions(-DCOMPILE_WITH_UNITY_CMAKE_SUPPORT)
endif()

add_subdirectory(mimetreeparser)
add_subdirectory(messageviewer)
add_subdirectory(templateparser)
add_subdirectory(messagecomposer)
add_subdirectory(messagecore)
add_subdirectory(messagelist)
add_subdirectory(webengineviewer)

ecm_qt_install_logging_categories(
    EXPORT MESSAGELIB
    FILE messagelib.categories
    DESTINATION ${KDE_INSTALL_LOGGINGCATEGORIESDIR}
    )

kde_configure_git_pre_commit_hook(CHECKS CLANG_FORMAT)
ki18n_install(po)
feature_summary(WHAT ALL FATAL_ON_MISSING_REQUIRED_PACKAGES)

=== debian/changelog ===
kf5-messagelib (4:23.08.1-0ubuntu1) mantic; urgency=medium

  * New upstream release (23.08.1)

 -- Rik Mills <rikmills@kde.org>  Thu, 14 Sep 2023 12:06:59 +0100

=== debian/control ===
--- 
+++ 
@@ -11,31 +11,31 @@
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:23.08.0~),
-               libkf5akonadimime-dev (>= 4:23.08.0~),
-               libkf5akonadinotes-dev (>= 4:23.08.0~),
-               libkf5akonadisearch-dev (>= 4:23.08.0~),
+               libkf5akonadi-dev (>= 4:23.08.1~),
+               libkf5akonadimime-dev (>= 4:23.08.1~),
+               libkf5akonadinotes-dev (>= 4:23.08.1~),
+               libkf5akonadisearch-dev (>= 4:23.08.1~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.0~),
+               libkf5contacteditor-dev (>= 4:23.08.1~),
                libkf5contacts-dev (>= 4:19.08.3~),
-               libkf5grantleetheme-dev (>= 23.08.0~),
-               libkf5gravatar-dev (>= 4:23.08.0~),
+               libkf5grantleetheme-dev (>= 23.08.1~),
+               libkf5gravatar-dev (>= 4:23.08.1~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 23.08.0~),
+               libkf5identitymanagement-dev (>= 23.08.1~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 23.08.0~),
-               libkf5libkdepim-dev (>= 4:23.08.0~),
-               libkf5libkleo-dev (>= 4:23.08.0~),
-               libkf5mailtransport-dev (>= 23.08.0~),
-               libkf5mbox-dev (>= 23.08.0~),
-               libkf5mime-dev (>= 23.08.0~),
+               libkf5ldap-dev (>= 23.08.1~),
+               libkf5libkdepim-dev (>= 4:23.08.1~),
+               libkf5libkleo-dev (>= 4:23.08.1~),
+               libkf5mailtransport-dev (>= 23.08.1~),
+               libkf5mbox-dev (>= 23.08.1~),
+               libkf5mime-dev (>= 23.08.1~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:23.08.0~),
-               libkf5pimtextedit-dev (>= 23.08.0~),
+               libkf5pimcommon-dev (>= 4:23.08.1~),
+               libkf5pimtextedit-dev (>= 23.08.1~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
                libkf5textaddons-dev,
                libkf5webkit-dev (>= 5.31.0~),
@@ -71,13 +71,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.0~),
-         libkf5akonadimime-dev (>= 4:23.08.0~),
-         libkf5identitymanagement-dev (>= 23.08.0~),
-         libkf5libkdepim-dev (>= 4:23.08.0~),
-         libkf5libkleo-dev (>= 4:23.08.0~),
-         libkf5mime-dev (>= 23.08.0~),
-         libkf5pimcommon-dev (>= 4:23.08.0~),
+Depends: libkf5akonadi-dev (>= 4:23.08.1~),
+         libkf5akonadimime-dev (>= 4:23.08.1~),
+         libkf5identitymanagement-dev (>= 23.08.1~),
+         libkf5libkdepim-dev (>= 4:23.08.1~),
+         libkf5libkleo-dev (>= 4:23.08.1~),
+         libkf5mime-dev (>= 23.08.1~),
+         libkf5pimcommon-dev (>= 4:23.08.1~),
          libkpim5messagecomposer5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},

=== debian/rules ===
#!/usr/bin/make -f

export DEB_BUILD_MAINT_OPTIONS = hardening=+all

include /usr/share/dpkg/pkg-info.mk
include /usr/share/dpkg/default.mk
libpkgs_gen_strict_local_shlibs = $(libpkgs_all_packages)
include /usr/share/pkg-kde-tools/qt-kde-team/3/library-packages.mk

AbiVirtualPackageVersion = $(call dpkg_late_eval,AbiVirtualPackageVersion,echo '${DEB_VERSION_UPSTREAM}' | sed -e 's/\.[0-9]\+$$//')
pkgs_lib = $(filter-out %-dev %-doc %-dbg %-data %-bin %-plugins,$(filter lib%,$(shell dh_listpackages)))

%:
	dh $@ --with kf5

override_dh_makeshlibs:
	for pkg in $(pkgs_lib); do \
		name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
		echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
		dh_makeshlibs -p$${pkg} -V "$${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \
	done
	# Inject dependency on libkf5messageviewer-plugins for packages depending on libkpim5messageviewer5
	pkg='libkpim5messageviewer5'; \
	name=$$( echo "$${pkg}" | sed -e 's/abi[0-9]\+\s*//'); \
	echo "ABI:VirtualPackage=$${name}-${AbiVirtualPackageVersion}" >> debian/$${pkg}.substvars; \
	dh_makeshlibs -p$${pkg} -V "libkf5messageviewer-plugins, $${pkg} (>= $(DEB_VERSION_EPOCH_UPSTREAM)), $${name}-${AbiVirtualPackageVersion}"; \

override_dh_auto_test:
# The tests do not run successfully on mipsel for buster and it seems,
# that it is a RAM issue as the tests are anyways flaky,
# disable the tests for now. (hefee - 20190301)
ifeq ($(DEB_HOST_ARCH), mipsel)
	echo "tests disabled for mipsel"
else
	- xvfb-run -a --server-args="-screen 0 1024x768x24 +extension GLX" --\
	           dh_auto_test --no-parallel
endif

override_dh_gencontrol-arch: libpkgs_gen_strict_local_shlibs
	dh_gencontrol -a

## kf5-messagelib 23.08.4

=== CMakeLists.txt ===
--- 
+++ 
@@ -1,7 +1,7 @@
 # SPDX-License-Identifier: CC0-1.0
 # SPDX-FileCopyrightText: none
 cmake_minimum_required(VERSION 3.16 FATAL_ERROR)
-set(PIM_VERSION "5.24.1")
+set(PIM_VERSION "5.24.4")
 
 
 project(Messagelib VERSION ${PIM_VERSION})
@@ -14,23 +14,23 @@
 
 
 set(MESSAGELIB_LIB_VERSION ${PIM_VERSION})
-set(AKONADIMIME_LIB_VERSION "5.24.1")
+set(AKONADIMIME_LIB_VERSION "5.24.4")
 
 set(QT_REQUIRED_VERSION "5.15.2")
-set(AKONADICONTACT_LIB_VERSION "5.24.1")
-set(AKONADI_VERSION "5.24.1")
-set(GRANTLEETHEME_LIB_VERSION "5.24.1")
-set(GRAVATAR_LIB_VERSION "5.24.1")
-set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.1")
-set(KMAILTRANSPORT_LIB_VERSION "5.24.1")
-set(KMBOX_LIB_VERSION "5.24.1")
-set(KMIME_LIB_VERSION "5.24.1")
-set(KPIMTEXTEDIT_LIB_VERSION "5.24.1")
-set(LIBKDEPIM_LIB_VERSION "5.24.1")
-set(LIBKLEO_LIB_VERSION "5.24.1")
-set(PIMCOMMON_LIB_VERSION "5.24.1")
+set(AKONADICONTACT_LIB_VERSION "5.24.4")
+set(AKONADI_VERSION "5.24.4")
+set(GRANTLEETHEME_LIB_VERSION "5.24.4")
+set(GRAVATAR_LIB_VERSION "5.24.4")
+set(IDENTITYMANAGEMENT_LIB_VERSION "5.24.4")
+set(KMAILTRANSPORT_LIB_VERSION "5.24.4")
+set(KMBOX_LIB_VERSION "5.24.4")
+set(KMIME_LIB_VERSION "5.24.4")
+set(KPIMTEXTEDIT_LIB_VERSION "5.24.4")
+set(LIBKDEPIM_LIB_VERSION "5.24.4")
+set(LIBKLEO_LIB_VERSION "5.24.4")
+set(PIMCOMMON_LIB_VERSION "5.24.4")
 set(GPGME_REQUIRED_VERSION "1.16.0")
-set(AKONADI_SEARCH_VERSION "5.24.1")
+set(AKONADI_SEARCH_VERSION "5.24.4")
 
 set(ECM_VERSION ${KF_MIN_VERSION})

=== debian/changelog ===
kf5-messagelib (4:23.08.4-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.4)

 -- José Manuel Santamaría Lema <panfaust@gmail.com>  Wed, 13 Dec 2023 10:23:11 +0000

kf5-messagelib (4:23.08.3-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.3)

 -- Rik Mills <rikmills@kde.org>  Thu, 09 Nov 2023 11:43:41 +0000

kf5-messagelib (4:23.08.2-0ubuntu1) noble; urgency=medium

  * New upstream release (23.08.2)

 -- Rik Mills <rikmills@kde.org>  Thu, 26 Oct 2023 12:39:49 +0100

=== debian/control ===
--- 
+++ 
@@ -11,31 +11,31 @@
                libgpgme-dev,
                libgpgmepp-dev (>= 1.7.1~),
                libgrantlee5-dev (>= 5.0~),
-               libkf5akonadi-dev (>= 4:23.08.1~),
-               libkf5akonadimime-dev (>= 4:23.08.1~),
-               libkf5akonadinotes-dev (>= 4:23.08.1~),
-               libkf5akonadisearch-dev (>= 4:23.08.1~),
+               libkf5akonadi-dev (>= 4:23.08.4~),
+               libkf5akonadimime-dev (>= 4:23.08.4~),
+               libkf5akonadinotes-dev (>= 4:23.08.4~),
+               libkf5akonadisearch-dev (>= 4:23.08.4~),
                libkf5archive-dev (>= 5.31.0~),
                libkf5codecs-dev (>= 5.31.0~),
                libkf5completion-dev (>= 5.31.0~),
                libkf5config-dev (>= 5.31.0~),
-               libkf5contacteditor-dev (>= 4:23.08.1~),
+               libkf5contacteditor-dev (>= 4:23.08.4~),
                libkf5contacts-dev (>= 4:19.08.3~),
-               libkf5grantleetheme-dev (>= 23.08.1~),
-               libkf5gravatar-dev (>= 4:23.08.1~),
+               libkf5grantleetheme-dev (>= 23.08.4~),
+               libkf5gravatar-dev (>= 4:23.08.4~),
                libkf5i18n-dev (>= 5.31.0~),
                libkf5iconthemes-dev (>= 5.31.0~),
-               libkf5identitymanagement-dev (>= 23.08.1~),
+               libkf5identitymanagement-dev (>= 23.08.4~),
                libkf5itemviews-dev (>= 5.31.0~),
-               libkf5ldap-dev (>= 23.08.1~),
-               libkf5libkdepim-dev (>= 4:23.08.1~),
-               libkf5libkleo-dev (>= 4:23.08.1~),
-               libkf5mailtransport-dev (>= 23.08.1~),
-               libkf5mbox-dev (>= 23.08.1~),
-               libkf5mime-dev (>= 23.08.1~),
+               libkf5ldap-dev (>= 23.08.4~),
+               libkf5libkdepim-dev (>= 4:23.08.4~),
+               libkf5libkleo-dev (>= 4:23.08.4~),
+               libkf5mailtransport-dev (>= 23.08.4~),
+               libkf5mbox-dev (>= 23.08.4~),
+               libkf5mime-dev (>= 23.08.4~),
                libkf5newstuff-dev (>= 5.31.0~),
-               libkf5pimcommon-dev (>= 4:23.08.1~),
-               libkf5pimtextedit-dev (>= 23.08.1~),
+               libkf5pimcommon-dev (>= 4:23.08.4~),
+               libkf5pimtextedit-dev (>= 23.08.4~),
                libkf5syntaxhighlighting-dev (>= 5.31.0~),
                libkf5textaddons-dev,
                libkf5webkit-dev (>= 5.31.0~),
@@ -71,13 +71,13 @@
 Section: libdevel
 Architecture: any
 Multi-Arch: same
-Depends: libkf5akonadi-dev (>= 4:23.08.1~),
-         libkf5akonadimime-dev (>= 4:23.08.1~),
-         libkf5identitymanagement-dev (>= 23.08.1~),
-         libkf5libkdepim-dev (>= 4:23.08.1~),
-         libkf5libkleo-dev (>= 4:23.08.1~),
-         libkf5mime-dev (>= 23.08.1~),
-         libkf5pimcommon-dev (>= 4:23.08.1~),
+Depends: libkf5akonadi-dev (>= 4:23.08.4~),
+         libkf5akonadimime-dev (>= 4:23.08.4~),
+         libkf5identitymanagement-dev (>= 23.08.4~),
+         libkf5libkdepim-dev (>= 4:23.08.4~),
+         libkf5libkleo-dev (>= 4:23.08.4~),
+         libkf5mime-dev (>= 23.08.4~),
+         libkf5pimcommon-dev (>= 4:23.08.4~),
          libkpim5messagecomposer5 (= ${binary:Version}),
          ${misc:Depends},
          ${shlibs:Depends},
